Skip to content

updateTrackedEntityExpiry

WRITE

Manual override of a tracked entity's expirationDate.

POST /api/v1/inventory/updateTrackedEntityExpiry
curl -X POST '<your-host>/api/v1/inventory/updateTrackedEntityExpiry' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "trackedEntityId": "string",
    "expirationDate": "string",
    "reason": "string"
  }'

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "trackedEntityId": {
      "type": "string"
    },
    "expirationDate": {
      "type": [
        "string",
        "null"
      ]
    },
    "reason": {
      "type": "string"
    },
    "source": {
      "type": "string"
    }
  },
  "required": [
    "trackedEntityId",
    "expirationDate",
    "reason"
  ]
}